package com.yihaomen.shardingjava.mapper;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.yihaomen.shardingjava.entity.UserInfo;

import java.util.List;


public interface UserInfoMapper {
    int insert(UserInfo record);

    int insertSelective(UserInfo record);

    UserInfo selectByPrimaryKey(Long userId);

    List<UserInfo> selectByRange(@Param("firstId") Long firstId, @Param("lastId") Long lastId);
    
    List<UserInfo> selectPagination(@Param("pageSize") Long pageSize, @Param("offset") Long offset);
    
    Long selectCount(@Param("id") Long id, @Param("maxid") Long maxid);

    int updateByPrimaryKeySelective(UserInfo record);

    int updateByPrimaryKey(UserInfo record);
    
    List<UserInfo> selectByLikeTest();
}
